org.labkey.remoteapi.assay

## Class Data

- java.lang.Object
- - org.labkey.remoteapi.ResponseObject
  - - org.labkey.remoteapi.assay.ExpObject
    - - org.labkey.remoteapi.assay.Data

-     public class Data
      extends ExpObject

  Represents a data file that may be used in a run. In order to successfully look up a data file when saving a run, the server checks for the id, pipelinePath, dataFileURL, and pipelinePath properties (in that order) to try to resolve the file reference. At least one must be specified. User: jeckels Date: Apr 28, 2010

- - ### Field Summary

    - ### Fields inherited from class org.labkey.remoteapi.ResponseObject

      `_allProperties`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Data()`
    `Data(org.json.simple.JSONObject json)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getAbsolutePath()`
    `java.lang.String` | `getDataFileURL()`
    `java.lang.String` | `getPipelinePath()`
    `void` | `setAbsolutePath(java.lang.String absolutePath)`
    `void` | `setDataFileURL(java.lang.String dataFileURL)`
    `void` | `setPipelinePath(java.lang.String pipelinePath)`
    `org.json.simple.JSONObject` | `toJSONObject()`

    - ### Methods inherited from class org.labkey.remoteapi.assay.ExpObject

      `getId, getName, getProperties, setId, setName, setProperties, toJSON`

    - ### Methods inherited from class org.labkey.remoteapi.ResponseObject

      `getAllProperties`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Data

          public Data()

    - #### Data

          public Data(org.json.simple.JSONObject json)

  - ### Method Detail

    - #### toJSONObject

          public org.json.simple.JSONObject toJSONObject()

      Overrides:
        `toJSONObject` in class `ExpObject`

    - #### getDataFileURL

          public java.lang.String getDataFileURL()

      Returns:
        the URL to the data file from the web server's perspective

    - #### setDataFileURL

          public void setDataFileURL(java.lang.String dataFileURL)

      Parameters:
        `dataFileURL` - the URL to the data file from the web server's perspective

    - #### getAbsolutePath

          public java.lang.String getAbsolutePath()

      Returns:
        the full path to the file from the web server's file system perspective

    - #### setAbsolutePath

          public void setAbsolutePath(java.lang.String absolutePath)

      Parameters:
        `absolutePath` - the full path to the file from the web server's file system perspective

    - #### getPipelinePath

          public java.lang.String getPipelinePath()

      Returns:
        the path to the file on the file system, relative to the folder's pipeline root

    - #### setPipelinePath

          public void setPipelinePath(java.lang.String pipelinePath)

      Parameters:
        `pipelinePath` - the path to the file on the file system, relative to the folder's pipeline root